Bug 1017495 - pkg Requires: ceph-disk utility imports 'argparse' module
pkg Requires: ceph-disk utility imports 'argparse' module
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ceph (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 23:32 EDT by John Morris
Modified: 2014-10-09 15:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: ceph-0.80.5-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-09 15:51:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Morris 2013-10-09 23:32:54 EDT
/usr/sbin/ceph-disk from the 'ceph' package imports the 'argparse' module on line 3.  This fails if the 'python-argparse' RPM is not installed.

'Requires: python-argparse' should be added to the base ceph package.

Thanks!
Comment 1 Fedora Update System 2014-08-17 12:18:03 EDT
ceph-0.80.5-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ceph-0.80.5-6.el6
Comment 2 Fedora Update System 2014-08-18 14:58:16 EDT
Package ceph-0.80.5-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ceph-0.80.5-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2240/ceph-0.80.5-6.el6
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-08-22 15:16:05 EDT
Package ceph-0.80.5-8.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ceph-0.80.5-8.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2240/ceph-0.80.5-8.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-09-06 16:29:40 EDT
Package ceph-0.80.5-9.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ceph-0.80.5-9.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2240/ceph-0.80.5-9.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-10-09 15:51:45 EDT
ceph-0.80.5-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.